/*
 * Copyright (c) 2024 Qualcomm Innovation Center, Inc. All rights reserved.
 * SPDX-License-Identifier: BSD-3-Clause-Clear
*/
/** System Generated File
*  Don't Change Manually */
#ifndef CORE_DEV_CFG_INC_NT_DEVCFG_STRUCTURE_H_
#define CORE_DEV_CFG_INC_NT_DEVCFG_STRUCTURE_H_
#include "nt_devcfg_types.h" 
#include "nt_devcfg_def.h"
void nt_devcfg_parse(); 
typedef struct nt_devcfg_structure_s 
{
uint32 NT_DEVCFG_LFS_REG_TYPE;
uint32 NT_DEVCFG_LFS_REG_SIZE;
uint32 NT_DEVCFG_LFS_NAME;
uint32 NT_DEVCFG_DEFAULT_LOG_LVL;
uint32 NT_DEVCFG_DEFAULT_HALPHY_LOG_LVL;
uint32 NT_DEVCFG_DEFAULT_LOG_BMAP;
uint32 NT_DEVCFG_INDEF_DEEP_SLEEP_EN;
uint32 NT_DEVCFG_PERIODIC_WAKE_IDLE_TIMEOUT_US;
uint32 NT_DEVCFG_PERIODIC_WAKE_ITO_STEPS;
uint32 NT_DEVCFG_PERIODIC_WAKE_START_TIME_MS;
uint32 NT_DEVCFG_PERIODIC_WAKE_IDLE_MODE_WAKE_TIME_MS;
uint32 NT_DEVCFG_ADAPTIVE_ITO_FEATURE_ENABLE;
uint32 NT_DEVCFG_SPECULATIVE_WAKE_FEATURE_ENABLE;
uint32 NT_DEVCFG_CHAN_COEFF;
uint32 NT_DEVCFG_CHAN_STATS_ROUND_OFF_CONST;
uint32 NT_DEVCFG_SPECULATIVE_WAKE_TIME_MS;
uint32 NT_DEVCFG_FG_SCAN_PROBE_TYPE;
uint32 NT_DEVCFG_VALUE_FG_SSID_SCAN_TYPE;
uint32 NT_DEVCFG_NUM_CHANNELS_SCANNED;
uint32 NT_DEVCFG_ACTIVE_CHANNEL_DWELL_TIME;
uint32 NT_DEVCFG_PASSIVE_CHANNEL_DWELL_TIME;
uint32 NT_DEVCFG_RSSI_MIN_THRESH_DEFAULT;
uint32 NT_DEVCFG_RSSI_MAX_THRESH_DEFAULT;
uint32 NT_DEVCFG_RATE_MIN_THRESH_DEFAULT;
uint32 NT_DEVCFG_RATE_MAX_THRESH_DEFAULT;
uint32 NT_DEVCFG_FOREGROUND_SCAN_TYPE;
uint32 NT_DEVCFG_VALUE_IMP_SSID_SCAN_TYPE;
uint32 NT_DEVCFG_BG_SCAN_STATUS;
uint32 NT_DEVCFG_BG_PROBE_TYPE;
uint32 NT_DEVCFG_BG_SCAN_DURATION;
uint32 NT_DEVCFG_BG_FULL_SCAN_FREQ;
uint32 NT_DEVCFG_BG_SCAN_TRIGGER;
uint32 NT_DEVCFG_INTVAL;
uint32 NT_DEVCFG_TXPOWER;
uint32 NT_DEVCFG_DTIM_COUNT;
uint32 NT_DEVCFG_AP_DTIM_PERIOD;
uint32 NT_DEVCFG_BMPS_ENABLE;
uint32 NT_DEVCFG_INITITAL_BMPS_IDLE_PERIOD_MS;
uint32 NT_DEVCFG_IMPS_ENABLE;
uint32 NT_DEVCFG_FORCE_DTIM;
uint32 NT_DEVCFG_IMPS_SLEEP_TIMER;
uint32 NT_DEVCFG_MIN_WAKE_TIME;
uint32 NT_DEVCFG_BSS_MAX_IDLE_TIMER;
uint32 NT_DEVCFG_WNM_SLEEP_TIMER;
uint32 NT_DEVCFG_WUR_ENABLE;
uint32 NT_DEVCFG_WUR_SERVICE_PERIOD;
uint32 NT_DEVCFG_WUR_SERVICE_INTERVAL;
uint32 NT_DEVCFG_WUR_BEACON_PERIOD;
uint32 NT_DEVCFG_WUR_BEACON_OFFSET;
uint32 NT_DEVCFG_WAKEUP_FRAME_AT_DATA_AVAILABILITY;
uint32 NT_DEVCFG_SUSPEND_FRAME_AT_DATA_AVAILABILITY;
uint32 NT_DEVCFG_BMPS_IDLE_TIMER_PERIOD_MS;
uint32 NT_DEVCFG_SUSPEND_FRAME_IF_WAKEUP_FRAME_RECEIVED;
uint32 NT_DEVCFG_WUR_SOFT_DTIM_ENABLE;
uint32 NT_DEVCFG_BASE_EARLY_RX_US;
uint32 NT_DEVCFG_BASE_BEACON_WAIT_TIME_US;
uint32 NT_DEVCFG_BEACON_WAIT_INC_STEP_US;
uint32 NT_DEVCFG_EARLY_RX_STEP_US;
uint32 NT_DEVCFG_NO_OF_ACCEPTABLE_BEACON_MISS;
uint32 NT_DEVCFG_WNM_DTIM_CONFIG;
uint32 NT_DEVCFG_MINIMUM_SLEEP_TIME_FOR_AON;
uint32 NT_DEVCFG_SLEEP_CLOCK_SELECTION_FOR_AON;
uint32 NT_DEVGFG_THRESHOLD_WARNING_VOLTAGE_CONFIG;
uint32 NT_DEVCFG_SYSMON_TASK_PERIODICITY_CONFIG;
uint32 NT_DEVCFG_ACCEPTABLE_TX_COUNT;
uint32 NT_DEVCFG_ACCEPTABLE_RX_COUNT;
uint32 NT_DEVCFG_NO_WAKE_COUNT;
uint32 NT_DEVCFG_F2A_ASSERT_TIMEOUT_MS;
uint32 NT_DEVCFG_INTER_F2A_INTERVAL_US;
uint32 NT_DEVCFG_F2A_PULSE_DURATION_US;
uint32 NT_DEVCFG_SOCPM_ENABLE;
uint32 NT_DEVCFG_BEACON_MISS_THR_TIME_US;
uint32 NT_DEVCFG_CONNECTION_WAIT_TIME_MS;
uint32 NT_DEVCFG_RECONNECTION_WAIT_TIME_MS;
uint32 NT_DEVCFG_WMI_COMMAND_PROCESS_TIME_MS;
uint32 NT_DEVCFG_SLP_CLK_CAL_POLL_TIMER_PERIOD_MS;
uint32 NT_DEVCFG_NUM_BMPS_IDLE_INTERVALS;
uint32 NT_DEVCFG_SLP_MODE_SLP_CLK_CAL_ENABLE;
uint32 NT_DEVCFG_NON_POLLED_RRI_ENABLE;
uint32 NT_DEVCFG_HDM_TRIGGERED_RRI_ENABLE;
uint32 NT_DEVCFG_SLP_SLOP_INTERVAL_MS;
uint32 NT_DEVCFG_SLP_SLOP_STEP_US;
uint32 NT_DEVCFG_TWT_ENABLE;
uint32 NT_DEVCFG_TWT_DTIM_CONFIG;
uint32 NT_DEVCFG_TWT_ALIGNMENT_CONFIG;
uint32 NT_DEVCFG_TWT_WAKEUP_INTERVAL_LO;
uint32 NT_DEVCFG_TWT_MIN_WAKEUP_DURATION;
uint32 NT_DEVCFG_TWT_BROADCAST;
uint32 NT_DEVCFG_TWT_WAKEUP_INTERVAL_HI;
uint32 NT_DEVCFG_TWT_WAKEUP_TYPE;
uint32 NT_DEV_CFG_TWT_FLOW_TYPE;
uint32 NT_DEVCFG_TWT_WIFI_FW_ENABLE;
uint32 NT_DEVCFG_PROTECTION_MODE;
uint32 NT_DEVCFG_ONBOARDING_ENABLE;
uint32 NT_DEVCFG_NETWORK_NAME;
uint32 NT_DEVCFG_AUTH_TYPE;
uint32 NT_DEVCFG_DEVICE_MODE;
uint32 NT_DEVCFG_RMF_ENABLE;
uint32 NT_DEVCFG_WEP_TYPE;
uint32 NT_DEVCFG_WEP_KEY_LENGTH;
uint32 NT_DEVCFG_AUTO_START_ENABLED;
uint32 NT_DEVCFG_SERVER_DISABLE;
uint32 NT_DEVCFG_WIFIAPP_OMPS_SLEEP_TIME;
uint32 NT_DEVCFG_WIFIAPP_OMPS_IDLE_TIME;
uint32 NT_DEVCFG_WEP40_KEY_ID;
uint32 NT_DEVCFG_WEP40_STA_ID;
uint32 NT_DEVCFG_WEP40_KEY_STRING;
uint32 NT_DEVCFG_WIFIAPP_OMPS_ENABLE;
uint32 NT_DEVCFG_WIFIAPP_ENABLEDISC;
uint32 NT_DEVCFG_WIFIAPP_SERVICE_PERIOD;
uint32 NT_DEVCFG_WIFIAPP_SERVICE_INTERVAL;
uint32 NT_DEVCFG_WIFIAPP_BECON_PERIOD;
uint32 NT_DEVCFG_WIFIAPP_BECON_OFFSET;
uint32 NT_DEVCFG_WIFIAPP_BECON_CTS2S_ENABLE;
uint32 NT_DEVCFG_WIFIAPP_CFEenable;
uint32 NT_DEVCFG_WIFIAPP_WUR_MC_ENABLE;
uint32 NT_DEVCFG_WIFIAPP_RESULT_STATUS_SUCCESS;
uint32 NT_DEVCFG_WIFIAPP_RESULT_STATUS_FAILURE;
uint32 NT_DEVCFG_IMPS_SLEEP_TIME;
uint32 NT_DEVCFG_IMPS_SLEEP_MODE;
uint32 NT_DEVCFG_IMPS_RETRY_COUNT;
uint32 NT_DEVCFG_POWERSAVE_MODE_IMPS;
uint32 NT_DEVCFG_POWERSAVE_MODE_BMPS;
uint32 NT_DEVCFG_POWERSAVE_ENABLED;
uint32 NT_DEVCFG_DEF_DTIM_VALUE;
uint32 NT_DEVCFG_POWERSAVE_WUR_EXIT_FOR_VALID_VENDOR;
uint32 NT_DEVCFG_ONBOARDING_via_CONCURRENCY;
uint32 NT_DEVCFG_DEFAULT_CONC_DEVICE_MODE;
uint32 NT_DEVCFG_RA_FIXED_RATE_INDEX;
uint32 NT_DEVCFG_RA_ADAPTATION_TIMER;
uint32 NT_DEVCFG_RA_FAST_JUMP_THRESHOLD;
uint32 NT_DEVCFG_RA_MIN_PKT_TX_THRESHOLD;
uint32 NT_DEVCFG_RA_MIN_GOOD_PUT_FILTER_COEF;
uint32 NT_DEVCFG_RA_MAX_GOOD_PUT_FILTER_COEF;
uint32 NT_DEVCFG_RETRY_THRESHOLD0;
uint32 NT_DEVCFG_RETRY_THRESHOLD1;
uint32 NT_DEVCFG_RETRY_THRESHOLD2;
uint32 NT_DEVCFG_MGMT_RETRY_THRESHOLD0;
uint32 NT_DEVCFG_MGMT_RETRY_THRESHOLD1;
uint32 NT_DEVCFG_MGMT_RETRY_THRESHOLD2;
uint32 NT_DEVCFG_BC_MC_PRIMARY_RA_IDX;
uint32 NT_DEVCFG_BC_MC_SECONDARY_RA_IDX;
uint32 NT_DEVCFG_BC_MC_TERTIARY_RA_IDX;
uint32 NT_DEVCFG_RA_PER_UPPER_THRESHOLD;
uint32 NT_DEVCFG_RA_UPRATE_SAMPLING_CNT;
uint32 NT_DEVCFG_RA_RETAIN_RATE;
uint32 NT_DEVCFG_RA_ON;
uint32 NT_DEVCFG_RA_FIXED_PRI_RATE_INDEX;
uint32 NT_DEVCFG_RA_FIXED_SEC_RATE_INDEX;
uint32 NT_DEVCFG_RA_FIXED_TRI_RATE_INDEX;
uint32 NT_DEVCFG_WIFISEC_AUTH_INTER_FRM_TIMER;
uint32 NT_DEVCFG_WIFISEC_AUTH_RETRY_COUNT;
uint32 NT_DEVCFG_WIFISEC_SUPPL_SESSION_TIMER;
uint32 NT_DEVCFG_WIFISEC_TKIP_CM_TIMER;
uint32 NT_DEVCFG_WPS_CONFIG_MODE;
uint32 NT_DEVCFG_CONN_TIMEOUT;
uint32 NT_DEVCFG_CONN_RETRY_COUNT;
uint32 NT_DEVCFG_CONN_WLAN_MLME_TO;
uint32 NT_DEVCFG_CONN_MLME_SM_RETRY_CNT;
uint32 NT_DEVCFG_CONN_ASSOC_COMEBACK_TIMEOUT;
uint32 NT_DEVCFG_CONN_ADDBA_RESP_TIMM;
uint32 NT_DEVCFG_CONN_MIC_ERR_TIMM;
uint32 NT_DEVCFG_CONN_TKIP_WAIT_TIMM;
uint32 NT_DEVCFG_CONN_CONSECUTIVE_BMISS_THRESHOLD;
uint32 NT_DEVCFG_CONN_MODIFIED_BEACON_INTERVAL;
uint32 NT_DEVCFG_CONN_STA_INACT_INTERVAL;
uint32 NT_DEVCFG_CONN_PS_STA_INACT_FACTOR;
uint32 NT_DEVCFG_TRANSMIT_INTERRUPT_THRESHOLD_CONFIG;
uint32 NT_DEVCFG_RINT_MEASUREMENT_START_THRESHOLD_CONFIG;
uint32 NT_DEVCFG_RINT_MEASUREMENT_STOP_THRESHOLD_CONFIG;
uint32 NT_DEVCFG_TXOP_VBATT_AVERAGE_SAMPLES_CONFIG;
uint32 NT_DEVCFG_RINT_AVERAGE_SAMPLES_CONFIG;
uint32 NT_DEVCFG_RINT_MEASUREMENT_WINDOW_TIME_CONFIG;
uint32 NT_DEVCFG_RINT_MEASUREMENT_TIME_OUT_CONFIG;
uint32 NT_DEVCFG_DEFAULT_PHY_MODE;
uint32 NT_DEVCFG_OPERATING_CHAN;
uint32 NT_DEVCFG_AUTO_BA;
uint32 NT_DEVCFG_AUTO_BA_AC_TYPE;
uint32 NT_DEVCFG_WMMP_BE_ACM;
uint32 NT_DEVCFG_WMMP_BE_AIFSN;
uint32 NT_DEVCFG_WMMP_BE_MIN_LOGCW;
uint32 NT_DEVCFG_WMMP_BE_MAX_LOGCW;
uint32 NT_DEVCFG_WMMP_BE_TXOP_LIMIT;
uint32 NT_DEVCFG_WMMP_BK_ACM;
uint32 NT_DEVCFG_WMMP_BK_AIFSN;
uint32 NT_DEVCFG_WMMP_BK_MIN_LOGCW;
uint32 NT_DEVCFG_WMMP_BK_MAX_LOGCW;
uint32 NT_DEVCFG_WMMP_BK_TXOP_LIMIT;
uint32 NT_DEVCFG_WMMP_VI_ACM;
uint32 NT_DEVCFG_WMMP_VI_AIFSN;
uint32 NT_DEVCFG_WMMP_VI_MIN_LOGCW;
uint32 NT_DEVCFG_WMMP_VI_MAX_LOGCW;
uint32 NT_DEVCFG_WMMP_VI_TXOP_LIMIT;
uint32 NT_DEVCFG_WMMP_VO_ACM;
uint32 NT_DEVCFG_WMMP_VO_AIFSN;
uint32 NT_DEVCFG_WMMP_VO_MIN_LOGCW;
uint32 NT_DEVCFG_WMMP_VO_MAX_LOGCW;
uint32 NT_DEVCFG_WMMP_VO_TXOP_LIMIT;
uint32 NT_DEVCFG_WMM_STATUS;
uint32 NT_DEVCFG_HT;
uint32 NT_DEVCFG_DEFAULT_DHCP_ENABLE;
uint32 NT_DEVCFG_DEFAULT_MAC_ADDR_AP_P1;
uint32 NT_DEVCFG_DEFAULT_MAC_ADDR_AP_P2;
uint32 NT_DEVCFG_DEFAULT_MAC_ADDR_AP_P3;
uint32 NT_DEVCFG_DEFAULT_MAC_ADDR_STA_P1;
uint32 NT_DEVCFG_DEFAULT_MAC_ADDR_STA_P2;
uint32 NT_DEVCFG_DEFAULT_MAC_ADDR_STA_P3;
uint32 NT2_DEVCFG_ENABLE_DISABLE_RRAM_DXE;
}nt_devcfg_structure_t; 
#endif /* CORE_DEV_CFG_INC_NT_DEVCFG_STRUCTURE_H_ */
